Deploys a revision of an API proxy.
If another revision of the same API proxy revision is currently deployed, set the override parameter to true to have this revision replace the currently deployed revision.
You cannot invoke an API proxy until it has been deployed to an environment. After you deploy an API proxy revision, you cannot edit it. To edit the API proxy, you must create and deploy a new revision.
For a request path organizations/{org}/environments/{env}/apis/{api}/revisions/{rev}/deployments, two permissions are required:
apigee.deployments.createon the resourceorganizations/{org}/environments/{env}apigee.proxyrevisions.deployon the resourceorganizations/{org}/apis/{api}/revisions/{rev}
All successful API proxy deployments to Apigee are zero-downtime deployments.
Apigee hybrid validates the dependencies between shared flows and API proxies at deployment time. For example, if the Flow Callout policy in an API proxy references a shared flow that either doesn't exist or isn't deployed, the API proxy deployment fails.
HTTP request
POST https://apigee.googleapis.com/v1/{name=organizations/*/environments/*/apis/*/revisions/*}/deployments
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Name of the API proxy revision deployment in the following format: If the API proxy resource being deployed has the |
Query parameters
| Parameters | |
|---|---|
override |
Flag that specifies whether the new deployment replaces other deployed revisions of the API proxy in the environment. Set |
sequencedRollout |
Flag that specifies whether to enable sequenced rollout. If set to The [generateDeployChangeReport API][DeploymentService.GenerateDeployChangeReport] may be used to examine routing changes before issuing the deployment request, and its response will indicate if a sequenced rollout is recommended for the deployment. |
serviceAccount |
Google Cloud IAM service account. The service account represents the identity of the deployed proxy, and determines what permissions it has. The format must be Authorization requires the following IAM permission on the specified resource
|
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Deployment.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform